<?php
if(!function_exists('blaze_edge_map_post_format_link_meta_fields')) {

    function blaze_edge_map_post_format_link_meta_fields() {

		/*** Link Post Format ***/

		$link_post_format_meta_box = blaze_edge_create_meta_box(
			array(
				'scope' => array('post'),
				'title' => esc_html__('Link Post Format', 'blaze'),
				'name' => 'post_format_link_meta'
			)
		);

		blaze_edge_create_meta_box_field(
			array(
				'name'        => 'edgtf_post_link_link_meta',
				'type'        => 'text',
				'label'       => esc_html__('Link', 'blaze'),
				'description' => esc_html__('Enter link', 'blaze'),
				'parent'      => $link_post_format_meta_box,

			)
		);

		blaze_edge_create_meta_box_field(
			array(
				'name'        => 'edgtf_post_link_link_text_meta',
				'type'        => 'text',
				'label'       => esc_html__('Link Text', 'blaze'),
				'description' => esc_html__('Enter link text', 'blaze'),
				'parent'      => $link_post_format_meta_box,

			)
		);
	}

    add_action('blaze_edge_meta_boxes_map', 'blaze_edge_map_post_format_link_meta_fields');
}